@import "../../sass/variables.scss";

.document-link {
  $parent: &;

  width: 100%;

  border-bottom: 1px solid #eee;

  position: relative;
  // max-width: 420px;

  &__head {
    display: flex;
    justify-content: stretch;
    align-items: flex-start;
    flex-wrap: wrap;
  }

  &__thumb {
    flex: 0 0 auto;
    margin: 0 21px 1em 0;
    display: block;

    img {
      height: auto;
    }
  }

  &__content {
    flex: 0 0 auto;
    margin: 0 0 2em;
    max-width: calc(100% - 125px);
    width: 100%;

    @include breakpoint($large) {
    }
  }

  &__name {
    color: $color-oceanBlue;
    display: block;
    padding: 0;
    margin-bottom: 0;
    line-height: 1;
  }

  /*amends*/
  .document-link__thumb {
    margin-bottom: 0;
    width: 30px;
    padding-left: 10px;

    a,
    img {
      float: left;
    }
  }
  .document-link__content {
    margin-bottom: 0;
    a {
      display: block;
      margin-bottom: 0.5rem;
    }
  }
  .document-link__head {
    margin-bottom: 1rem;
  }
  .document-link__body {
    margin-bottom: 1rem;
  }
  /**amends*/

  &__ref {
    display: block;
    margin: 0;

    span {
      display: inline-block;
    }
  }

  &__expander {
    display: block;
    flex: 0 0 100%;
    margin-left: 0;

    @include breakpoint($large) {
      flex: 0 0 calc(100% - 45px);
      margin-left: 50px;
    }
  }

  &__toggle {
    position: absolute;
    top: 0;
    right: 0;
    cursor: pointer;
    padding: 10px;
    margin-top: -10px;
    margin-right: -10px;
    color: $link-color;

    .icon {
      margin-left: 8px;
    }
  }

  &__body {
    margin: 0 0 2em;
  }

  &__control {
    display: inline-block;
    margin: 0 0.75em 1em 0;
  }

  &__save,
  &__cancel {
    font-weight: 300;
    padding: 0 0 0 19px;
    cursor: pointer;
  }

  &__save {
    font-weight: 300;
    padding: 0 0 0 25px;
    display: inline;
    position: relative;
    font-size: 14px;

    &:before {
      content: "";
      display: block;
      position: absolute;
      left: 0;
      top: 50%;
    }

    &--saved {
      padding: 0 0 0 25px;

      &:before {
        display: none;
      }

      .icon {
        display: block;
        position: absolute;
        left: 0;
        top: -1px;
      }
    }
  }

  &__download {
    &:before {
      margin-top: -11px;
      width: 18px;
      height: 17px;
      background-image: url(/dist/images/icon/dw-ico.png);
    }
  }

  &__post {
    &:before {
      margin-top: -7px;
      width: 20px;
      height: 15px;
      background-image: url(/dist/images/icon/mail-ico.png);
    }
  }

  &__icons {
    display: flex;
    flex-wrap: wrap;
    margin: 0;
    padding: 0;
    list-style: none;
    margin: 0 0 2em;
  }

  &__icon {
    display: flex;
    flex: 0 0 100%;
    margin: 0;
    margin: 0 0 1em;

    @include breakpoint($large) {
      flex: 0 0 25%;
      padding-right: 10px;
    }

    img {
      flex: 0 0 auto;
      width: 20px;
      height: auto;
      margin-right: 5px;
      position: absolute;
    }

    span {
      flex: 0 0 calc(100% - 25px);
      font-size: 11px;
      line-height: 13px;
      padding-left: 25px;
    }
  }

  &__quantity {
    display: flex;
    flex-wrap: wrap;
    width: 100%;

    label {
      margin: 0 0 6px;
    }

    input[type="number"] {
      width: 3em !important;
    }
  }

  &__quantity-label {
    flex: 0 0 100%;
  }

  &__quantity-input {
    margin: 0 1em 0 0;
  }

  &__remove {
    align-self: center;
  }

  &--post-basket {
    padding: 0 0 2em;
    #{$parent}__content {
      margin-bottom: 1em;
    }
  }
}
